Skip to main content
GET
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
queues
/
{queue_name}
Python
from salad_cloud_sdk import SaladCloudSdk

sdk = SaladCloudSdk(
    api_key="YOUR_API_KEY",
    api_key_header="YOUR_API_KEY_HEADER",
    timeout=10000
)

result = sdk.queues.get_queue(
    organization_name="acme-corp",
    project_name="dev-env",
    queue_name="fifo-queue"
)

print(result)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "display_name": "<string>",
  "container_groups": [
    {
      "autostart_policy": true,
      "container": {
        "command": [
          "<string>"
        ],
        "image": "<string>",
        "resources": {
          "cpu": 512,
          "memory": 536871424,
          "gpu_classes": [
            "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          ],
          "storage_amount": 562950490292224,
          "shm_size": 64
        },
        "environment_variables": {},
        "hash": "<string>",
        "image_caching": true,
        "logging": {},
        "size": 4611686018427388000
      },
      "country_codes": [
        "af"
      ],
      "create_time": "2023-11-07T05:31:56Z",
      "current_state": {
        "finish_time": "2023-11-07T05:31:56Z",
        "instance_status_counts": {
          "allocating_count": 1073741823,
          "creating_count": 1073741823,
          "running_count": 1073741823,
          "stopping_count": 1073741823
        },
        "start_time": "2023-11-07T05:31:56Z",
        "status": "pending",
        "description": "<string>"
      },
      "display_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "organization_name": "<string>",
      "pending_change": true,
      "priority": "high",
      "project_name": "<string>",
      "replicas": 250,
      "restart_policy": "always",
      "update_time": "2023-11-07T05:31:56Z",
      "version": 1073741824,
      "liveness_probe": {
        "failure_threshold": 3,
        "initial_delay_seconds": 0,
        "period_seconds": 10,
        "success_threshold": 1,
        "timeout_seconds": 30
      },
      "readiness_probe": {
        "failure_threshold": 3,
        "initial_delay_seconds": 0,
        "period_seconds": 1,
        "success_threshold": 1,
        "timeout_seconds": 1
      },
      "readme": "<string>",
      "startup_probe": {
        "failure_threshold": 15,
        "initial_delay_seconds": 0,
        "period_seconds": 3,
        "success_threshold": 2,
        "timeout_seconds": 10
      }
    }
  ],
  "create_time": "2023-11-07T05:31:56Z",
  "update_time": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "current_queue_length": 1073741823
}
Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

project_name
string
required

Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"dev-env"

queue_name
string
required

The queue name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"fifo-queue"

Response

OK

Represents a queue.

id
string<uuid>
required

The queue identifier. This is automatically generated and assigned when the queue is created.

name
string
required

The queue name. This must be unique within the project.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
display_name
string
required

The display name. This may be used as a more human-readable name.

Required string length: 2 - 63
Pattern: ^[ ,-.0-9A-Za-z]+$
container_groups
Container Group · object[]
required

The container groups that are part of this queue. Each container group represents a scalable set of identical containers running as a distributed service.

Maximum array length: 100
create_time
string<date-time>
required

The date and time the queue was created.

update_time
string<date-time>
required

The date and time the queue was last updated.

description
string

The description. This may be used as a space for notes or other information about the queue.

Maximum string length: 500
Pattern: ^.*$
current_queue_length
integer<int32>

The current length of the queue

Required range: 0 <= x <= 2147483647